Downloads

Full versions of the latest final release can always be found at the following links :

Zip Files :

Mac Version
Windows 64 bit Version
Linux Version for FMS 19 Ubuntu and later

GZIP Files :

Mac Version
Windows 64 bit Version
Linux Version for FMS 19 Ubuntu and later

Installing a plugin direct from the web

All plugins are .zip files for ease of download and decompression.  However, all versions are also available as .gz versions which are files that can be inserted into a container field, and will be auto de-compressed by FileMaker automatically.  This means you can use an Insert File or Insert From URL script step to insert this plugin, and then immediately run the Install Plugin script step to install it.

This also has the advantage of the BaseElements.fmplugin.gz version to be distributed on Windows without breaking the bundle file format.

Examples of the urls for these plugins are :

Mac:   https://goya.com.au/files/beplugin/4.1.4/BaseElements.fmplugin.gz
Win64: https://goya.com.au/files/beplugin/4.1.4/BaseElements.fmx64.gz
Linux: https://goya.com.au/files/beplugin/4.1.4/BaseElements.fmx.gz

Old iOS release versions

With 4.2 we haven't yet done iOS builds of the BE plugin.  If you're using BE on iOS please get in touch with us for newer versions.

iOS Plugin version 4.1.4 ( requires an SDK app, not FileMaker Go )
iOS Simulator Plugin version 4.1.4 ( runs on Mac OS under XCode simulator )

Old FMS Centos versions :

Version 4.0 through to 4.1.4 was available as a linux build, for FMS running on Centos ONLY.   As of 4.2.0, centos support was removed, and replaced with support for Ubuntu.  If you're running Centos still and require the plugin, we recommend version 4.1.4 :

Linux Version 4.1.4 for FMS 19 Centos

Code Signed Plugins for FileMaker 18 ( Pro and Server )

The downloadable versions of 3.3.8 above, and any 4.x release from 4.0.5 or later will be code signed.  So it will load in FileMaker Server and won't show a dialog in FileMaker Pro.

Notarized Plugins for Mac OS 10.15 Catalina

Mac OS 10.15 now requires applications ( including FileMaker Pro and any plugins you're using ) to be both code signed, and notarized to run without any alerts or issues.

Version 4.1.2 and later are notarized as well as code signed, and should run without any alerts.

If you want to run a different plugin version, and it's not notarized, use this workaround :

  1. Open FileMaker with the plugin installed, and you'll get an error.  
  2. Close FileMaker.
  3. Right click on the plugin. In the menu that comes up, hold down the Option key, and choose "Always Open With" then select FileMaker Pro in the File selection dialog that comes up.
  4. Open System Preferences > Security and Privacy > General, BaseElements will be listed there.
  5. Click "Allow Anyway".
  6. When asked for the Application to use, choose FileMaker Pro.

Restart FileMaker and it should allow the plugin to work.

Older versions :

The last version for Windows 32 bit ( Pro and Server ) is 3.3.8.  All future releases of the BaseElements plugin will be 64 bit only.

Windows 32 bit Version ( 3.3.8 )
Windows 64 bit Version ( 3.3.8 )
Mac Version ( 3.3.8 )

Downloading a specific older release

If you're looking for a specific older version of the plugin, use the following urls, and change the version number as required :

Mac: https://goya.com.au/files/beplugin/3.3.8/BaseElements.fmplugin.zip
Win64: https://goya.com.au/files/beplugin/3.3.8/BaseElements.fmx64.zip
Win32: https://goya.com.au/files/beplugin/3.3.8/BaseElements.fmx.zip
Linux: https://goya.com.au/files/beplugin/4.0.0/BaseElements.fmx.zip

Versions prior to 4 will be win32. From there on, it will be a linux build. Release version numbers are :

1.0.0
1.1.0
1.2.0
1.2.1
1.3.0
1.3.1
1.3.2
1.3.3
1.3.4
2.0.0
2.0.1
2.1.0
2.2.0
2.2.1
2.2.2
2.3.0
2.3.1
3.0.0
3.0.1
3.1.0
3.1.1
3.1.2
3.1.3
3.2.0
3.3.0
3.3.1
3.3.2
3.3.3
3.3.4
3.3.5
3.3.6
3.3.7
3.3.8
4.0.0
4.0.2
4.0.3
4.0.4
4.0.5
4.1.0
4.1.1
4.1.2
4.1.3
4.1.4 
4.2.0

Details about each release are in the change log.

Still need help? Contact Us Contact Us